<template>
  <JActionIcon
    tag="router-link"
    :to="{ name: 'chat-details', params: { id: chatId } }"
    size="s"
  >
    <JIcon
      icon="chat"
      size="24px"
    />
  </JActionIcon>
</template>

<script setup lang="ts">
import { JActionIcon, JIcon } from '@new-jira-clone/ui/src/components';

defineProps({
  chatId: {
    type: String,
    required: true,
  },
});
</script>
